Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.collection
Class SparseObjectMatrix

    java.lang.Object
      uchicago.src.collection.SparseObjectMatrix

All Implemented Interfaces:
  BaseMatrix

    public class SparseObjectMatrix

extends java.lang.Object
implements BaseMatrix

Constructor Summary
`SparseObjectMatrix(int sizeX, int sizeY)`

Method Summary
`int` | `elementSize()`
`java.lang.Object` | `get(int x, int y)`
`int` | `getNumCols()`
`int` | `getNumRows()`
`void` | `put(int x, int y, java.lang.Object obj)`
`java.lang.Object` | `remove(int x, int y)`
`int` | `size()`
`void` | `trim()`
`void` | `trimToSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SparseObjectMatrix

    public SparseObjectMatrix(int sizeX,
                              int sizeY)

Method Detail

### get

    public java.lang.Object get(int x,
                                int y)

  Specified by:
    `get` in interface `BaseMatrix`

### put

    public void put(int x,
                    int y,
                    java.lang.Object obj)

  Specified by:
    `put` in interface `BaseMatrix`

### remove

    public java.lang.Object remove(int x,
                                   int y)

  Specified by:
    `remove` in interface `BaseMatrix`

### elementSize

    public int elementSize()

### size

    public int size()

  Specified by:
    `size` in interface `BaseMatrix`

### getNumRows

    public int getNumRows()

  Specified by:
    `getNumRows` in interface `BaseMatrix`

### getNumCols

    public int getNumCols()

  Specified by:
    `getNumCols` in interface `BaseMatrix`

### trimToSize

    public void trimToSize()

### trim

    public void trim()

  Specified by:
    `trim` in interface `BaseMatrix`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD